Skip to main content
Import / Export

Download data for an existing table data export request

This method requires the ExportTable permission to be associated with your role.

GET
/gb/export/table/{table_export_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
table_export_idstringrequired

Export Id obtained from table export request

Required string length: 36 - 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Response

application/vnd.catch-e-api.v1+json

Success

table_export_idstring
Example: 0eb06f50-4210-4ed2-9723-2c2e24df4670
uristring
Example: https://catch-e-api-table-exports.s3.ap-southeast-2.amazonaws.com/example/0eb06f50-4210-4ed2-9723-2c2e24df4670?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=ZKIBIA46LLA7H5KN5S4Q%2F20190201%2Fap-southeast-2%2Fs3%2Faws4_request&X-Amz-Date=20190201T045824Z&X-Amz-SignedHeaders=host&X-Amz-Expires=300&X-Amz-Signature=6dcb136a7e0d285419ec8f88602785df41dc0036df8657bbc6e20309d3f3d5ba
uri_expirystring
Example: 2019-02-01T16:03:24+11:00